# PyFCG

*A Python interface to FCG and Babel, built on FCG Go.*

## Installation

To install this package from PyPI, run the following command.

```bash
$ pip install pyfcg
```

## Use

Start a PyFCG session with:

```
import pyfcg as fcg
fcg.init()
```

## Walkthrough examples

Walkthrough example showcasing how PyFCG can be integrated in typical use cases of FCG are provided in the form of interactive notebooks:

- [Construction grammar formalisation and testing](https://gitlab.ai.vub.ac.be/ehai/pyfcg/-/blob/main/docs/source/examples/grammar_writing.ipynb?ref_type=heads)
- [Learning construction grammars from corpora](https://gitlab.ai.vub.ac.be/ehai/pyfcg/-/blob/main/docs/source/examples/learning_grammars.ipynb?ref_type=heads)
- [Agent-based models of emergent communication](https://gitlab.ai.vub.ac.be/ehai/pyfcg/-/blob/main/docs/source/examples/naming_game.ipynb?ref_type=heads)

## Documentation

The tecnical documentation of PyFCG is available at [Read the Docs](https://pyfcg.readthedocs.io).

## How to cite

Van Eecke, P., & Beuls, K. (2025). PyFCG: Fluid Construction Grammar in Python. *arXiv preprint*.

```
@article{vaneecke2025pyfcg,
	author = {Paul {Van Eecke} and Katrien Beuls},
	title = {PyFCG: Fluid Construction Grammar in Python.},
	year = {2025},
	journal = {arXiv preprint arXiv:},}
```